Update a webhook
curl --request PATCH \
--url https://api.reader.dev/v1/webhooks/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"url": "<string>",
"name": "<string>",
"events": [
"<string>"
],
"secret": "<string>",
"headers": {},
"active": true
}
'import requests
url = "https://api.reader.dev/v1/webhooks/{id}"
payload = {
"url": "<string>",
"name": "<string>",
"events": ["<string>"],
"secret": "<string>",
"headers": {},
"active": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
name: '<string>',
events: ['<string>'],
secret: '<string>',
headers: {},
active: true
})
};
fetch('https://api.reader.dev/v1/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "<string>",
"url": "<string>",
"name": "<string>",
"events": [
"<string>"
],
"headers": {},
"active": true,
"deliveryStats": {
"totalAttempts": 123,
"failedDeliveries": 123,
"lastDeliveryAt": "2023-11-07T05:31:56Z",
"lastDeliveryStatus": 123
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"secret": "<string>"
}
}{
"success": false,
"error": {
"code": "not_found",
"message": "Webhook not found",
"docsUrl": "https://reader.dev/docs/home/concepts/errors#not-found"
}
}Webhooks
Update a webhook
PATCH
/
v1
/
webhooks
/
{id}
Update a webhook
Patch any subset of a webhook’s fields:
url, name, events, headers, or active. The secret cannot be updated through this endpoint; delete and recreate the webhook if you need to rotate it.Authorizations
Path Parameters
Body
application/json
⌘I

